#! /bin/sh
# 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986,1987,1988
# LICENSED MATERIALS - PROPERTY OF IBM
# REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
# $Header:mount.sh 12.0$ 
# $ACIS:mount.sh 12.0$ 
# $Source: /ibm/acis/usr/sys/dist/etc/RCS/mount.sh,v $ 
case "$1" in
-r)	rwflag=1
	shift;;
*)	rwflag=0;;
esac
case "`echo ' ' /dev/hd* /dev/sc* ' '`" in
*' '$1' '*)
	;;
*)	echo "$0:'$1' invalid device">&2
	exit 1;;
esac
case $# in
2)	;;
*)	echo "$0:'$*' invalid parameter list">&2
	exit 1;;
esac
exec	/etc/syscall mount $1 $2 $rwflag
